### Method

# Ide ContextAddin load

#### Declaration

    void
    ide_context_addin_load (
      IdeContextAddin* self,
      IdeContext* context
    )

#### Description

Requests that the `IdeContextAddin` loads any necessary runtime features.

This is called when the `IdeContext` is created. If you would rather wait until a project is loaded, then use `IdeContextAddin::project-loaded` to load runtime features.

Available since: | 3.32

#### Parameters

`context` | `IdeContext`
| An `IdeContext`.
| The data is owned by the caller of the function.